Subject: Re: [PATCH v2 14/19] tree-diff: rework diff_tree interface to be sha1 based

From: Johannes Sixt <[email-masked]>
Date: Fri, 28 Mar 2014 18:46:35 +0100

Am 28.03.2014 18:06, schrieb Junio C Hamano:
> Johannes Sixt <[email-masked]> writes:
> 
>> Am 3/27/2014 19:48, schrieb Junio C Hamano:
>>>> From: Kirill Smelkov <[email-masked]>
>>>> Date: Mon, 24 Feb 2014 20:21:46 +0400
>>>> ...
>>>
>>> By the way, in general I do not appreciate people lying on the Date:
>>> with an in-body header in their patches, either in the original or
>>> in rerolls.
>>
>> format-patch is not very cooperative in this aspect. When I prepare a
>> patch series with format-patch, I find myself editing out the Date: line
>> from all patches it produces again and again. :-(
> 
> I am not sure what you mean.  If you are pasting the format-patch
> output into an editor your MUA is using to receive the body of the
> message from you, you would remove all the non-body lines, not just
> Date: but Subject: and From:, no?

Correct. So I should add that my gripe is about when I want to send a
patch series with git-send-email that was prepared with git-format-patch.

-- Hannes